%define version 0.5.2
%define release 2mdk

Summary:	Secure chat client for SILC (Secure Internet Live Conferencing) protocol
Name:		silky
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Chat
URL:		http://silky.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		silky-0.5.2-fhs.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	silc-toolkit-devel >= 0.9.12-2mdk
BuildRequires:	ImageMagick
BuildRequires:	automake1.9

%description
Silky is a secure chat client for SILC (Secure Internet Live
Conferencing) protocol, which is very similar to IRC in operation;
the main difference between SILC and IRC is encryption. Silky is
written in GTK+ toolkit.

%prep
%setup -q
%patch0 -p1 -b .fhs

# needed by patch
ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --force

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std gnomemenudir=%{_datadir}/applications

rm -rf %{buildroot}%{_prefix}/doc

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 644       pixmaps/stock_people.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/stock_people.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/stock_people.png %{buildroot}%{_miconsdir}/%{name}.png

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="Secure chat client" \
 needs="x11" \
 section="Internet/Chat" \
 title="Silky"
_EOF_

%find_lang %{name}


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README ReleaseNotes
%config(noreplace) %{_sysconfdir}/silky
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-2mdk
- Rebuild

* Sun Jan 02 2005 Abel Cheung <deaddog@mandrake.org> 0.5.2-1mdk
- First Mandrakelinux package
- P0: move config files to folder under /etc

